# Uses of Class
org.apache.sysds.runtime.io.FileFormatPropertiesLIBSVM

Packages that use FileFormatPropertiesLIBSVM
Package
Description
org.apache.sysds.runtime.instructions.spark.utils
org.apache.sysds.runtime.io

## Uses of FileFormatPropertiesLIBSVM in org.apache.sysds.runtime.instructions.spark.utils

Methods in org.apache.sysds.runtime.instructions.spark.utils with parameters of type FileFormatPropertiesLIBSVM
Modifier and Type
Method
Description
`static org.apache.spark.api.java.JavaRDD<String>`
RDDConverterUtils.`binaryBlockToLibsvm(org.apache.spark.api.java.JavaPairRDD<MatrixIndexes,MatrixBlock> in, DataCharacteristics mcIn, FileFormatPropertiesLIBSVM props, boolean strict)`

## Uses of FileFormatPropertiesLIBSVM in org.apache.sysds.runtime.io

Constructors in org.apache.sysds.runtime.io with parameters of type FileFormatPropertiesLIBSVM
Modifier
Constructor
Description
``
`ReaderTextLIBSVM(FileFormatPropertiesLIBSVM props)`
``
`ReaderTextLIBSVMParallel(FileFormatPropertiesLIBSVM props)`
``
`WriterTextLIBSVM(FileFormatPropertiesLIBSVM _props)`
``
`WriterTextLIBSVMParallel(FileFormatPropertiesLIBSVM _props)`